Package jaxe

# Class JaxeTableView

java.lang.Object
javax.swing.text.View
javax.swing.text.CompositeView
javax.swing.text.BoxView
javax.swing.text.TableView
jaxe.JaxeTableView

All Implemented Interfaces:
  `SwingConstants`, `ViewFactory`

public class JaxeTableView extends TableView implements ViewFactory
Vue pour les tables de JETableTexte

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.text.TableView

`TableView.TableCell, TableView.TableRow`

## Field Summary

### Fields inherited from class javax.swing.text.View

`BadBreakWeight, ExcellentBreakWeight, ForcedBreakWeight, GoodBreakWeight, X_AXIS, Y_AXIS`

### Fields inherited from interface javax.swing.SwingConstants

`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

## Constructor Summary

Constructors
Constructor
Description
`JaxeTableView(Element elem)`

## Method Summary

Modifier and Type
Method
Description
`protected SizeRequirements`
`calculateMajorAxisRequirements(int axis, SizeRequirements r)`
`View`
`create(Element elem)`
The table itself acts as a factory for the various views that actually represent pieces of the table.
`protected View`
`getViewAtPoint(int x, int y, Rectangle alloc)`
`ViewFactory`
`getViewFactory()`
`void`
`paint(Graphics g, Shape allocation)`
`void`
`setParent(View parent)`

### Methods inherited from class javax.swing.text.TableView

`calculateMinorAxisRequirements, createTableCell, createTableRow, forwardUpdate, getViewAtPosition, layoutColumns, layoutMinorAxis, replace`

### Methods inherited from class javax.swing.text.BoxView

`baselineLayout, baselineRequirements, childAllocation, flipEastAndWestAtEnds, getAlignment, getAxis, getChildAllocation, getHeight, getMaximumSpan, getMinimumSpan, getOffset, getPreferredSpan, getResizeWeight, getSpan, getWidth, isAfter, isAllocationValid, isBefore, isLayoutValid, layout, layoutChanged, layoutMajorAxis, modelToView, paintChild, preferenceChanged, setAxis, setSize, viewToModel`

### Methods inherited from class javax.swing.text.CompositeView

`getBottomInset, getInsideAllocation, getLeftInset, getNextEastWestVisualPositionFrom, getNextNorthSouthVisualPositionFrom, getNextVisualPositionFrom, getRightInset, getTopInset, getView, getViewCount, getViewIndex, getViewIndexAtPosition, loadChildren, modelToView, setInsets, setParagraphInsets`

### Methods inherited from class javax.swing.text.View

`append, breakView, changedUpdate, createFragment, forwardUpdateToView, getAttributes, getBreakWeight, getContainer, getDocument, getElement, getEndOffset, getGraphics, getParent, getStartOffset, getToolTipText, getViewIndex, insert, insertUpdate, isVisible, modelToView, remove, removeAll, removeUpdate, updateChildren, updateLayout, viewToModel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JaxeTableView

public JaxeTableView(Element elem)

## Method Details

### paint

public void paint(Graphics g, Shape allocation)

Overrides:
  `paint` in class `BoxView`

### getViewFactory

public ViewFactory getViewFactory()

Overrides:
  `getViewFactory` in class `View`

### getViewAtPoint

protected View getViewAtPoint(int x, int y, Rectangle alloc)

Overrides:
  `getViewAtPoint` in class `BoxView`

### create

public View create(Element elem)
The table itself acts as a factory for the various views that actually represent pieces of the table. All other factory activity is delegated to the factory returned by the parent of the table.

Specified by:
  `create` in interface `ViewFactory`

### calculateMajorAxisRequirements

protected SizeRequirements calculateMajorAxisRequirements(int axis, SizeRequirements r)

Overrides:
  `calculateMajorAxisRequirements` in class `BoxView`

### setParent

public void setParent(View parent)

Overrides:
  `setParent` in class `CompositeView`